Package ru.bitel.bgbilling.kernel.contract.autopayment.common.service

# Interface ContractAutopaymentService

public interface ContractAutopaymentService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `autopaymentInvoke(int contractId, BigDecimal amount)`
  `SearchResult<Autopayment>`
  `autopaymentSearch(int contractId, Period period, String[] sort, Page page)`
  `void`
  `contractAutopaymentModeCheck(int contractId, ContractAutopaymentMode autopaymentMode)`
  Проверка на возможность включения автоплатежа.
  `List<ContractAutopaymentMode>`
  `contractAutopaymentModeList(int contractId)`
  Получение доступных режимов для договора.
  `boolean`
  `isEnabled(int contractId)`
  Текущее состояние
  `SearchResult<ContractAutopayment>`
  `searchContractAutopayment(int contractId, Period period, String[] sort, Page page)`
  Список переключения разрешения/запрета автоплатежа администратором
  `boolean`
  `setEnabled(int contractId, boolean enabled)`
  Установить состояние

- ## Method Details

  - ### searchContractAutopayment

    SearchResult<ContractAutopayment> searchContractAutopayment(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Список переключения разрешения/запрета автоплатежа администратором
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isEnabled

    boolean isEnabled(int contractId) throws ru.bitel.bgbilling.common.BGException
    Текущее состояние
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setEnabled

    boolean setEnabled(int contractId, boolean enabled) throws ru.bitel.bgbilling.common.BGException
    Установить состояние
    Parameters:
      `contractId` -
      `enabled` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractAutopaymentModeList

    List<ContractAutopaymentMode> contractAutopaymentModeList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение доступных режимов для договора.
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractAutopaymentModeCheck

    void contractAutopaymentModeCheck(int contractId, ContractAutopaymentMode autopaymentMode) throws ru.bitel.bgbilling.common.BGException
    Проверка на возможность включения автоплатежа.
    Parameters:
      `contractId` -
      `autopaymentMode` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### autopaymentSearch

    SearchResult<Autopayment> autopaymentSearch(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### autopaymentInvoke

    void autopaymentInvoke(int contractId, BigDecimal amount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`